{% extends 'base_front.html.twig' %}

{% block section %}

    <title>Statistiques du compte</title>
    <div style="overflow: scroll">
        <div id='statistiques-du-compte'>
            <h1 class="title-stat-user">Statistiques</h1>
                <div style="display:flex">  
                    <div style="width: 33%">
                        <canvas id="pieTypeBetUser" height="450" width="600"></canvas>
                    </div>

                    <div style="width: 33%">
                        <canvas id="pieIsPublicBetUser" height="450" width="600"></canvas>
                    </div>
                
                     <div style="width: 33%">
                        <canvas id="pieBetStatusUser" height="450" width="600"></canvas>
                    </div>
                    
                </div>
                <div style="display:flex; margin-top: 100px">
                    <div style="width: 45%; margin-right: 20px">               
                        <canvas id="linearGraphGainPerDate" width="200" height="100"></canvas>
                    </div>

                    <div style="width: 45%">               
                        <canvas id="linearGraphCreationGainPerDate" width="200" height="100"></canvas>
                    </div>
                </div>
               
                
        </div>
    </div>

    <script>

        let pieTypeBet = document.querySelector("#pieTypeBetUser");
        let chartTypeBet = new Chart(pieTypeBet, {
            type: "pie",
            data: {
                labels: ["Paris normaux", "Paris Premium"],
                datasets: [{
                    label: "Répartition",
                    data: {{ countTypeBets|raw  }},
                    backgroundColor: ["#3cbc42", "gold"],
                    tension: 0.1
                }]
            }
        })

        let pieIsPublicBet = document.querySelector("#pieIsPublicBetUser");
        let chartIsPublicBet = new Chart(pieIsPublicBet, {
            type: "pie",
            data: {
                labels: ["Paris Privés", "Paris Publics"],
                datasets: [{
                    label: "Répartition",
                    data: {{ countIsPublicBet|raw }},
                    backgroundColor: ["#ed0000", "#0cc0f2"]
                }]
            }
        })

        let pieBetStatus = document.querySelector("#pieBetStatusUser");
        let chartBetStatus = new Chart(pieBetStatus, {
            type: "pie",
            data: {
                labels: ["Paris Validés", "Paris Terminés", "Paris Refusés", "Demande de paris en cours"],
                datasets: [{
                    label: "Répartition",
                    data: {{ countBetStatus|raw }},
                    backgroundColor: ["#3cbc42", "#353434", "#ed0000", "#f29100"]
                }] 
            }
        })

        let linearBetPerDate = document.querySelector("#linearGraphGainPerDate");
        let linearGraph = new Chart(linearBetPerDate, {
            type: "line",
            data: {
                labels :  {{ datesBetGain|raw }},
                datasets: [
                    {
                        label: "Gains sur les paris",
                        data: {{ betGainPerDate|raw }},
                        borderColor: 'rgb(75, 192, 192)',
                        fill: false,
                    }
                ]
            }
        });

        let linearGraphCreationGainPerDate = document.querySelector("#linearGraphCreationGainPerDate");
        let linearGraphCreationGain = new Chart(linearGraphCreationGainPerDate, {
            type: "line",
            data: {
                labels :  {{ dateCreationBetGain|raw }},
                datasets: [
                    {
                        label: "Gains sur les paris",
                        data: {{ creationBetGainPerDate|raw }},
                        borderColor: 'rgb(253, 108, 158)',
                        fill: false,
                    }
                ]
            }
        });

    </script>
{% endblock %}